library("phytools")
library("picante")
library("seqinr")


#make a new tree with the OTUs signif.correlated yield 
# (control,dorught and robustness together) with R=0.10, pvalue<0.05

sequences<-read.fasta("otu05_sequences.fasta", seqtype = "DNA")
alignment<-read.alignment(file = "align.fasta", format = "fasta")
alig.mat<-as.matrix.alignment(alignment)
seq.dist<-dist.alignment(alignment) 
mytree<-nj(seq.dist) 
mytree<-makeLabel(mytree, space="") 


#To import your tree in Newick format and check the labels 
# (before you have to get the object "mytree" from the "tree.R" scripts file)
write.tree(mytree,file="mytree.tre")
read.tree(file="mytree.tre")
mytree


###################################
# with just Ascomycota
##################################

sequences<-read.fasta("otu05_sequences_asco.fasta", seqtype = "DNA")
alignment<-read.alignment(file = "align.fasta", format = "fasta")
alig.mat<-as.matrix.alignment(alignment)
seq.dist<-dist.alignment(alignment) 
mytree<-nj(seq.dist) 
mytree<-makeLabel(mytree, space="") 


#To import your tree in Newick format and check the labels
# (before you have to get the object "mytree" from the "tree.R" scripts file)
write.tree(mytree,file="asco_tree.tre")

